Subject: bug#18083: 24.4.50; (emacs) Arguments and (elisp) Prefix Command Arguments

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2016 20:25:58 +0300

> Date: Sat, 30 Apr 2016 09:12:01 -0800 (GMT-08:00)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > This should not be about choosing to document only this one
> > > or only that one.
> > 
> > Of course, it is.
> 
> Why?  Why should we not document both?

Asked and answered already.

> > > And it should not be based on what you tend to use or I tend to use.
> > 
> > Then how come you raise this, based on your experience?
> 
> I am not, like you, claiming that my experience or preference
> should be the only thing documented.  I'm for a big tent,
> documenting what you prefer (M-) and what I prefer sometimes
> (C-).  Not because you or I prefer this or that, but because
> Emacs lets you use either one, and each is useful.

They are all documented in the doc string of digit-argument.

> > > It costs little to mention that C- also can be used, like M-.
> > 
> > It's bloat we need to justify.
> 
> I've justified it.  And it's not bloat, but useful info for
> users.

We disagree about the balance.